<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<#if pub.isUseWorkshopServer() >
<#comment>脚本执行日志路径。</#comment>
<#assign codefolder="/code">
<#assign toolfolder="/toolfolder">
<#assign outputlog= " > " + codefolder+"/"+sys.getPSDevCenterDomain()+"/"+sys.getPubSystemId()+"/remoteshop/"+sys.getVCName()+"/"+"app_"+app.getPKGCodeName()+"/run.log">
<#assign outputlog2= " > " + codefolder+"/"+sys.getPSDevCenterDomain()+"/"+sys.getPubSystemId()+"/remoteshop/"+sys.getVCName()+"/"+"app_"+app.getPKGCodeName()+"/">

<#assign workshop="workshop/"+pub.codeName>
<#if sys.getPSSVNInstRepo()?? && sys.getPSSVNInstRepo().getSVNType() =="GIT">
<#assign workshop="gitshop/"+pub.codeName>
</#if>

<#comment>关闭回显并开启变量延迟。</#comment>

<#comment>
#  ---------------------------------------------------------------------------
#    publisher		前端应用发布器PSJQAppCreateAppBatPublisherImpl 
#    app			前端应用
#    sys			后台服务系统
#    pf			前端应用技术体系
#    pfstyle		前端应用样式
#    apptempl		应用模板
#    toolfolder	发布工具目录路径
#    codefolder	发布代码根目录路径 
#  ---------------------------------------------------------------------------
</#comment>
<#comment>  建立前端应用相关工作空间目录。</#comment>
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}
mkdir -p ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/src
<#comment>更新版本库文件</#comment>
<#if sys.getPSSVNInstRepo().getSVNType()=="GIT">
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizgitinit.sh ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}
<#elseif sys.getPSSVNInstRepo().getSVNType()=="SVN">
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizsvninit.sh usr ${pub.codeName}
</#if>

# version:${pfstyle.getVersionString()}
<#assign ibizsys_base_file = '${app.getPFType()}'>
<#if pfstyle.getVersionString()?? && (pfstyle.getVersionString()!='')>
<#assign ibizsys_base_file += '-${pfstyle.getVersionString()}'>
</#if>
<#comment>  删除合成项目中.rename后缀的文件</#comment>
rm -f ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/*.rename ${outputlog}
<#if publisher.getContext().isRebuildMode()>
<#comment>  重构模式</#comment>
<#if sys.getPSSVNInstRepo()??>
<#comment> 完全拷贝前端初始化代码相关文件。</#comment>
\cp -p -rf  ${toolfolder}/APP/${ibizsys_base_file}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()} ${outputlog}
</#if>
<#comment> 拷贝自动发布代码到pub项目</#comment>
\cp -p -rf  ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/WEB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/src ${outputlog}
\cp -p -rf  ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()} ${outputlog}
<#comment> 拷贝用户自定义文件到pub项目</#comment>
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/ ]
then
\cp -p -rf  ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/src ${outputlog}
fi
\cp -p -rf  ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/PRJ/ibizbuildapp.sh ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}

<#comment> 实现pub项目文件改名功能。实现原理同上。</#comment>
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/  -name *.rename | xargs --no-run-if-empty rm -f  ${outputlog}

<#else>
<#comment> 标准发布</#comment>

<#comment> 增量拷贝初始文件</#comment>
<#if sys.getPSSVNInstRepo()??>
\cp -p -r -u ${toolfolder}/APP/${ibizsys_base_file}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()} ${outputlog}
</#if>

<#comment> 拷贝自动发布代码到pub项目</#comment>
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/WEB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/src ${outputlog}
\cp -p -r -u ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/APP/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()} ${outputlog}
<#comment> 拷贝用户自定义文件到pub项目</#comment>
if [ -d ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/ ]
then
\cp -p -rf ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/USERCODE/APP_PUB/. ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/src ${outputlog}
fi
\cp -p -rf  ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/app_${app.getPKGCodeName()}/PRJ/ibizbuildapp.sh ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}

<#comment> 实现pub项目文件改名功能。实现原理同上。</#comment>
find ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop}/app_${app.getPKGCodeName()}/ -name *.rename | xargs --no-run-if-empty rm -f  ${outputlog}
</#if>
<#if sys.getPSSVNInstRepo().getSVNType()=="GIT">
<#comment> 指定了版本库，将代码与版本库同步。</#comment>
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizgit.sh ${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/${workshop} app_${app.getPKGCodeName()}
<#elseif sys.getPSSVNInstRepo().getSVNType()=="SVN">
${codefolder}/${sys.getPSDevCenterDomain()}/${sys.getPubSystemId()}/remoteshop/${sys.getVCName()}/srv_${pub.codeName}/BIN/ibizsvn.sh ${pub.codeName} app_${app.getPKGCodeName()}
</#if>
</#if>